# -*- encoding: utf-8 -*-
# stub: soft_delete-workbar 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "soft_delete-workbar".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Richard Davis".freeze, "Riki Konikoff".freeze]
  s.bindir = "exe".freeze
  s.date = "2018-02-23"
  s.description = "# Soft Delete\n\n> In a production app, you should probably never really delete anything.\n\n[source](https://twitter.com/theebeastmaster/status/966870021099180034)\n\nA soft-delete marks a record as deleted, and keeps it in the database\nfor historical reference.\n\n## Installation\n\nAdd this line to your application's Gemfile:\n\n```ruby\ngem \"soft_delete-workbar\", require: \"soft_delete\"\n```\n\nAnd then execute:\n\n    $ bundle\n\nOr install it yourself as:\n\n    $ gem install soft_delete-workbar\n\n## Usage\n\nSafely \"delete\" records from your database without losing them permanently.\n\n* Add SoftDelete to a model\n  ```\n  class MyModel < ActiveRecord::Base\n    include SoftDelete\n  end\n  ```\n* Add a `deleted_at` column to the model's database table\n  ```\n  rails g migration AddSoftDeleteToMyModels deleted_at:timestamp\n  ```\n* Safely call `MyModel#delete` without losing the record forever\n\n## Methods\n\nPlease see the `SoftDelete` module and the associated tests for a description of\nthe methods that will be added to your model.\n\n* `.not_deleted` - records without a deleted_at timestamp\n* `.deleted` - records with a deleted_at timestamp\n* `#delete` - set the deleted_at timestamp\n* `#delete!` - delete the record from the database\n* `#destroy` - set the deleted_at timestamp, and run callbacks\n* `#destroy!` - delete the record from the database, and run callbacks\n* `#restore` - set the deleted_at timestamp to nil\n\nIt will be necessary to exclude deleted records when querying the model.\nUse the `not_deleted` scope that now exists on the model.\n\n```ruby\nclass MyModelsController < ApplicationController\n  def index\n    @my_models = MyModel.not_deleted\n  end\nend\n```\n\n## Development\n\nAfter checking out the repo, run `bin/setup` to install dependencies. Then, run\n`rake spec` to run the tests. You can also run `bin/console` for an interactive\nprompt that will allow you to experiment.\n\nTo install this gem onto your local machine, run `bundle exec rake install`. To\nrelease a new version, update the version number in `version.rb`, and then run\n`bundle exec rake release`, which will create a git tag for the version, push\ngit commits and tags, and push the `.gem` file to\n[rubygems.org](https://rubygems.org).\n\n## Contributing\n\nBug reports and pull requests are welcome on GitHub at\nhttps://github.com/workbar-dev/soft_delete.\n\n## License\n\nThe gem is available as open source under the terms of the\n[MIT License](https://opensource.org/licenses/MIT).\n".freeze
  s.email = ["riki@workbar.com".freeze]
  s.homepage = "https://github.com/workbar-dev/soft_delete.git".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A no-frills implementation of soft delete for Rails".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, [">= 3.2", "< 6.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<rails>.freeze, ["~> 4.0"])
  else
    s.add_dependency(%q<activesupport>.freeze, [">= 3.2", "< 6.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<sqlite3>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rails>.freeze, ["~> 4.0"])
  end
end
